unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    procedure Edit2Exit(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var R1:single;
begin
try
   R1:=StrToFloat(Edit1.Text);
   //tutaj obliczenia np.
   R1:=R1+1;
   Label1.Caption:=FloatToStr(R1);
except  //instrukcję wykonuje się, jeśli wprowadzono błędnie liczbę
   ShowMessage('Błędna liczba dziesiętna');
end;
end;
procedure TForm1.Button2Click(Sender: TObject);
begin

end;

{$R+} //RANGECHECKS ON – włączenie kontroli zakresu danych
procedure TForm1.Edit2Exit(Sender: TObject);
var a:smallint;
begin
  try
   a:=StrtoInt((Sender as TEdit).text);
  except
   On E: EConvertError do
   begin
     ShowMessage('Niepawidłowe dane w oknie'+(Sender as TEdit).Name);
     (Sender as TEdit).Setfocus;
   end;
   On E: ERangeError  do
   begin
     ShowMessage('Przekroczony zakres typu w oknie'+ (sender as TEdit).Name);
  end;
end;
end;
end.
